Subject: bug#76055: 29.4; Doc of string-empty-p

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Feb 2025 10:11:40 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 5 Feb 2025 16:41:47 -0500
> 
> Drew Adams via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
> 
> > The doc string should tell you that it treats a symbol for arg STRING,
> > instead of a string, by checking its `symbol-name'.  E.g., like what is
> > done for `string=':
> >
> >  Symbols are also allowed; their print names are used instead.
> 
> FWIW, I'm not suggesting any changes, but I admit that I never really
> understood this design decision.

It's too late to change that: this function supported symbols since
the very beginning.  I'm guessing there were good practical reasons
for that behavior.

However, while extending to strings comparison to symbol names could
make sense, telling whether a string is empty (the subject of this
report) is NOT: what symbol could have an empty name?